Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1418963009: Experimental support for RegExp lookbehind. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 6 months ago by Yang
Modified:
1 year, 6 months ago
CC:
Michael Hablich (OOO), v8-reviews_googlegroups.com
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

Experimental support for RegExp lookbehind. R=erikcorry@chromium.org, littledan@chromium.org BUG=v8:4545 LOG=N Committed: https://crrev.com/37632606bbce1418238b13fd90cb6ef6705871cd Cr-Commit-Position: refs/heads/master@{#32029} Committed: https://crrev.com/906903acb558723edf5bf87581c0c37183dc6c46 Cr-Commit-Position: refs/heads/master@{#32043}

Patch Set 1 #

Patch Set 2 : correctly implement backreferences inside lookbehinds #

Patch Set 3 : fixed 'forward references' #

Patch Set 4 : fixed test cases #

Total comments: 8

Patch Set 5 : fix max_match #

Patch Set 6 : move read direction from RegExpTree to RegExpCompiler #

Patch Set 7 : implement greedy loop implementation for lookbehind #

Patch Set 8 : TextNode::GetSuccessorOfOmnivorousTextNode #

Patch Set 9 : parser test #

Patch Set 10 : rebase #

Patch Set 11 : ia32 port #

Patch Set 12 : x64 port #

Patch Set 13 : arm port #

Patch Set 14 : arm64 port #

Patch Set 15 : mips port #

Patch Set 16 : mips64 port #

Total comments: 2

Patch Set 17 : addressed comments #

Total comments: 4

Patch Set 18 : addressed overflow worries #

Patch Set 19 : fix arm64 debug code assertion #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1115 lines, -570 lines) Patch
M src/ast.h View 1 2 3 4 5 6 6 chunks +22 lines, -12 lines 0 comments Download
M src/ast.cc View 1 2 3 4 5 3 chunks +7 lines, -5 lines 0 comments Download
M src/bootstrapper.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 2 chunks +2 lines, -0 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 4 5 6 7 8 9 10 1 chunk +2 lines, -1 line 0 comments Download
M src/parser.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 6 chunks +18 lines, -6 lines 0 comments Download
M src/parser.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 8 chunks +82 lines, -40 lines 0 comments Download
M src/regexp/arm/regexp-macro-assembler-arm.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +6 lines, -4 lines 0 comments Download
M src/regexp/arm/regexp-macro-assembler-arm.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 15 chunks +93 lines, -49 lines 0 comments Download
M src/regexp/arm64/regexp-macro-assembler-arm64.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +5 lines, -3 lines 0 comments Download
M src/regexp/arm64/regexp-macro-assembler-arm64.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 15 chunks +85 lines, -41 lines 0 comments Download
M src/regexp/bytecodes-irregexp.h View 1 1 chunk +11 lines, -9 lines 0 comments Download
M src/regexp/ia32/regexp-macro-assembler-ia32.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +6 lines, -4 lines 0 comments Download
M src/regexp/ia32/regexp-macro-assembler-ia32.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 16 chunks +83 lines, -49 lines 0 comments Download
M src/regexp/interpreter-irregexp.cc View 1 2 5 chunks +44 lines, -31 lines 0 comments Download
M src/regexp/jsregexp.h View 1 2 3 4 5 6 12 chunks +31 lines, -26 lines 0 comments Download
M src/regexp/jsregexp.cc View 1 2 3 4 5 6 7 8 9 10 38 chunks +103 lines, -94 lines 0 comments Download
M src/regexp/mips/regexp-macro-assembler-mips.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +6 lines, -4 lines 0 comments Download
M src/regexp/mips/regexp-macro-assembler-mips.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 14 chunks +89 lines, -45 lines 0 comments Download
M src/regexp/mips64/regexp-macro-assembler-mips64.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +8 lines, -6 lines 0 comments Download
M src/regexp/mips64/regexp-macro-assembler-mips64.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 16 chunks +81 lines, -43 lines 0 comments Download
M src/regexp/regexp-macro-assembler.h View 1 1 chunk +4 lines, -2 lines 0 comments Download
M src/regexp/regexp-macro-assembler-irregexp.h View 1 2 chunks +4 lines, -2 lines 0 comments Download
M src/regexp/regexp-macro-assembler-irregexp.cc View 1 2 chunks +10 lines, -6 lines 0 comments Download
M src/regexp/regexp-macro-assembler-tracer.h View 1 1 chunk +4 lines, -2 lines 0 comments Download
M src/regexp/regexp-macro-assembler-tracer.cc View 1 3 chunks +18 lines, -14 lines 0 comments Download
M src/regexp/x64/regexp-macro-assembler-x64.h View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 2 chunks +6 lines, -4 lines 0 comments Download
M src/regexp/x64/regexp-macro-assembler-x64.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 17 chunks +83 lines, -52 lines 0 comments Download
M test/cctest/test-regexp.cc View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 12 chunks +43 lines, -16 lines 0 comments Download
A test/mjsunit/harmony/regexp-lookbehind.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 chunk +159 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 28 (7 generated)
Yang
I have yet to port this to native platforms. And I'd like to resolve the ...
1 year, 6 months ago (2015-11-10 15:40:53 UTC) #1
Yang
On 2015/11/10 15:40:53, Yang wrote: > I have yet to port this to native platforms. ...
1 year, 6 months ago (2015-11-11 14:23:57 UTC) #2
erikcorry
Nice. LGTM apart from the greedy loop thing. We could commit it as is and ...
1 year, 6 months ago (2015-11-11 15:39:05 UTC) #4
Yang
I've added a new patch set to address each suggestion. https://codereview.chromium.org/1418963009/diff/60001/src/regexp/jsregexp.cc File src/regexp/jsregexp.cc (right): https://codereview.chromium.org/1418963009/diff/60001/src/regexp/jsregexp.cc#newcode3404 ...
1 year, 6 months ago (2015-11-12 08:25:35 UTC) #5
Yang
rebase
1 year, 6 months ago (2015-11-12 09:42:00 UTC) #6
Dan Ehrenberg
Looks good at a high level.
1 year, 6 months ago (2015-11-12 22:25:09 UTC) #7
Yang
On 2015/11/12 22:25:09, Dan Ehrenberg wrote: > Looks good at a high level. Ported to ...
1 year, 6 months ago (2015-11-13 13:55:38 UTC) #8
erikcorry
https://codereview.chromium.org/1418963009/diff/300001/src/regexp/arm/regexp-macro-assembler-arm.cc File src/regexp/arm/regexp-macro-assembler-arm.cc (right): https://codereview.chromium.org/1418963009/diff/300001/src/regexp/arm/regexp-macro-assembler-arm.cc#newcode697 src/regexp/arm/regexp-macro-assembler-arm.cc:697: __ sub(r0, r0, Operand(r1, LSL, (mode_ == UC16) ? ...
1 year, 6 months ago (2015-11-13 14:30:13 UTC) #9
Yang
On 2015/11/13 14:30:13, erikcorry wrote: > https://codereview.chromium.org/1418963009/diff/300001/src/regexp/arm/regexp-macro-assembler-arm.cc > File src/regexp/arm/regexp-macro-assembler-arm.cc (right): > > https://codereview.chromium.org/1418963009/diff/300001/src/regexp/arm/regexp-macro-assembler-arm.cc#newcode697 > ...
1 year, 6 months ago (2015-11-16 14:14:02 UTC) #10
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1418963009/320001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1418963009/320001
1 year, 6 months ago (2015-11-16 14:15:45 UTC) #12
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
1 year, 6 months ago (2015-11-16 14:39:24 UTC) #14
erikcorry
Overflow worries. https://codereview.chromium.org/1418963009/diff/320001/src/regexp/arm/regexp-macro-assembler-arm.cc File src/regexp/arm/regexp-macro-assembler-arm.cc (right): https://codereview.chromium.org/1418963009/diff/320001/src/regexp/arm/regexp-macro-assembler-arm.cc#newcode216 src/regexp/arm/regexp-macro-assembler-arm.cc:216: __ sub(r1, r1, r0, SetCC); // Length ...
1 year, 6 months ago (2015-11-16 14:55:39 UTC) #15
Yang
https://codereview.chromium.org/1418963009/diff/320001/src/regexp/arm/regexp-macro-assembler-arm.cc File src/regexp/arm/regexp-macro-assembler-arm.cc (right): https://codereview.chromium.org/1418963009/diff/320001/src/regexp/arm/regexp-macro-assembler-arm.cc#newcode216 src/regexp/arm/regexp-macro-assembler-arm.cc:216: __ sub(r1, r1, r0, SetCC); // Length of capture. ...
1 year, 6 months ago (2015-11-17 09:24:28 UTC) #16
erikcorry
lgtm
1 year, 6 months ago (2015-11-17 10:19:17 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1418963009/340001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1418963009/340001
1 year, 6 months ago (2015-11-17 10:22:56 UTC) #19
commit-bot: I haz the power
Committed patchset #18 (id:340001)
1 year, 6 months ago (2015-11-17 11:14:41 UTC) #20
commit-bot: I haz the power
Patchset 18 (id:??) landed as https://crrev.com/37632606bbce1418238b13fd90cb6ef6705871cd Cr-Commit-Position: refs/heads/master@{#32029}
1 year, 6 months ago (2015-11-17 11:15:23 UTC) #21
Yang
A revert of this CL (patchset #18 id:340001) has been created in https://codereview.chromium.org/1451373003/ by yangguo@chromium.org. ...
1 year, 6 months ago (2015-11-17 11:54:47 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1418963009/360001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1418963009/360001
1 year, 6 months ago (2015-11-17 12:58:59 UTC) #26
commit-bot: I haz the power
Committed patchset #19 (id:360001)
1 year, 6 months ago (2015-11-17 13:33:08 UTC) #27
commit-bot: I haz the power
1 year, 6 months ago (2015-11-17 13:33:43 UTC) #28
Message was sent while issue was closed.
Patchset 19 (id:??) landed as
https://crrev.com/906903acb558723edf5bf87581c0c37183dc6c46
Cr-Commit-Position: refs/heads/master@{#32043}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06